Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.props
Interface DockablePropertySet

All Known Implementing Classes:
  BasicDockablePropertySet, RootDockablePropertySet, ScopedDockablePropertySet, ViewProps

    public interface DockablePropertySet

Author:
  Christopher Butler

Field Summary
`static String` | `ACTIVE`
`static String` | `DESCRIPTION`
`static String` | `DOCKBAR_ICON`
`static String` | `DOCKING_ENABLED`
`static String` | `DRAG_THRESHOLD`
`static String` | `MOUSE_MOTION_DRAG_BLOCK`
`static String` | `PREVIEW_SIZE`
`static String` | `REGION_SIZE_EAST`
`static String` | `REGION_SIZE_NORTH`
`static String` | `REGION_SIZE_SOUTH`
`static String` | `REGION_SIZE_WEST`
`static String` | `SIBLING_SIZE_EAST`
`static String` | `SIBLING_SIZE_NORTH`
`static String` | `SIBLING_SIZE_SOUTH`
`static String` | `SIBLING_SIZE_WEST`
`static String` | `TAB_ICON`
`static String` | `TERRITORY_BLOCKED_CENTER`
`static String` | `TERRITORY_BLOCKED_EAST`
`static String` | `TERRITORY_BLOCKED_NORTH`
`static String` | `TERRITORY_BLOCKED_SOUTH`
`static String` | `TERRITORY_BLOCKED_WEST`

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener listener)`
`String` | `getDockableDesc()`
`Icon` | `getDockbarIcon()`
`String` | `getDockingId()`
`Float` | `getDragThreshold()`
`Float` | `getPreviewSize()`
`Float` | `getRegionInset(String region)`
`Float` | `getSiblingSize(String region)`
`Icon` | `getTabIcon()`
`Boolean` | `isActive()`
`Boolean` | `isDockingEnabled()`
`Boolean` | `isMouseMotionListenersBlockedWhileDragging()`
`Boolean` | `isTerritoryBlocked(String region)`
`Object` | `put(Object key, Object value)`
`Object` | `remove(Object key)`
`void` | `removePropertyChangeListener(PropertyChangeListener listener)`
`void` | `setActive(boolean active)`
`void` | `setDockableDesc(String desc)`
`void` | `setDockbarIcon(Icon icon)`
`void` | `setDockingEnabled(boolean enabled)`
`void` | `setDragTheshold(float threshold)`
`void` | `setMouseMotionListenersBlockedWhileDragging(boolean blocked)`
`void` | `setPreviewSize(float size)`
`void` | `setRegionInset(String region, float inset)`
`void` | `setSiblingSize(String region, float size)`
`void` | `setTabIcon(Icon icon)`
`void` | `setTerritoryBlocked(String region, boolean blocked)`

Field Detail

### DESCRIPTION

    static final String DESCRIPTION

See Also:
  Constant Field Values

### DOCKING_ENABLED

    static final String DOCKING_ENABLED

See Also:
  Constant Field Values

### MOUSE_MOTION_DRAG_BLOCK

    static final String MOUSE_MOTION_DRAG_BLOCK

See Also:
  Constant Field Values

### DRAG_THRESHOLD

    static final String DRAG_THRESHOLD

See Also:
  Constant Field Values

### REGION_SIZE_NORTH

    static final String REGION_SIZE_NORTH

See Also:
  Constant Field Values

### SIBLING_SIZE_NORTH

    static final String SIBLING_SIZE_NORTH

See Also:
  Constant Field Values

### TERRITORY_BLOCKED_NORTH

    static final String TERRITORY_BLOCKED_NORTH

See Also:
  Constant Field Values

### REGION_SIZE_SOUTH

    static final String REGION_SIZE_SOUTH

See Also:
  Constant Field Values

### SIBLING_SIZE_SOUTH

    static final String SIBLING_SIZE_SOUTH

See Also:
  Constant Field Values

### TERRITORY_BLOCKED_SOUTH

    static final String TERRITORY_BLOCKED_SOUTH

See Also:
  Constant Field Values

### REGION_SIZE_EAST

    static final String REGION_SIZE_EAST

See Also:
  Constant Field Values

### SIBLING_SIZE_EAST

    static final String SIBLING_SIZE_EAST

See Also:
  Constant Field Values

### TERRITORY_BLOCKED_EAST

    static final String TERRITORY_BLOCKED_EAST

See Also:
  Constant Field Values

### REGION_SIZE_WEST

    static final String REGION_SIZE_WEST

See Also:
  Constant Field Values

### SIBLING_SIZE_WEST

    static final String SIBLING_SIZE_WEST

See Also:
  Constant Field Values

### TERRITORY_BLOCKED_WEST

    static final String TERRITORY_BLOCKED_WEST

See Also:
  Constant Field Values

### TERRITORY_BLOCKED_CENTER

    static final String TERRITORY_BLOCKED_CENTER

See Also:
  Constant Field Values

### DOCKBAR_ICON

    static final String DOCKBAR_ICON

See Also:
  Constant Field Values

### TAB_ICON

    static final String TAB_ICON

See Also:
  Constant Field Values

### PREVIEW_SIZE

    static final String PREVIEW_SIZE

See Also:
  Constant Field Values

### ACTIVE

    static final String ACTIVE

See Also:
  Constant Field Values

Method Detail

### getDockableDesc

    String getDockableDesc()

### isDockingEnabled

    Boolean isDockingEnabled()

### isMouseMotionListenersBlockedWhileDragging

    Boolean isMouseMotionListenersBlockedWhileDragging()

### getRegionInset

    Float getRegionInset(String region)

### getSiblingSize

    Float getSiblingSize(String region)

### isTerritoryBlocked

    Boolean isTerritoryBlocked(String region)

### getDragThreshold

    Float getDragThreshold()

### getDockbarIcon

    Icon getDockbarIcon()

### getTabIcon

    Icon getTabIcon()

### getPreviewSize

    Float getPreviewSize()

### getDockingId

    String getDockingId()

### isActive

    Boolean isActive()

### setDockableDesc

    void setDockableDesc(String desc)

### setDockingEnabled

    void setDockingEnabled(boolean enabled)

### setMouseMotionListenersBlockedWhileDragging

    void setMouseMotionListenersBlockedWhileDragging(boolean blocked)

### setRegionInset

    void setRegionInset(String region,
                        float inset)

### setSiblingSize

    void setSiblingSize(String region,
                        float size)

### setTerritoryBlocked

    void setTerritoryBlocked(String region,
                             boolean blocked)

### setDragTheshold

    void setDragTheshold(float threshold)

### setDockbarIcon

    void setDockbarIcon(Icon icon)

### setTabIcon

    void setTabIcon(Icon icon)

### setPreviewSize

    void setPreviewSize(float size)

### setActive

    void setActive(boolean active)

### put

    Object put(Object key,
               Object value)

### remove

    Object remove(Object key)

### addPropertyChangeListener

    void addPropertyChangeListener(PropertyChangeListener listener)

### removePropertyChangeListener

    void removePropertyChangeListener(PropertyChangeListener listener)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD